org.jfree.chart.axis

## Class TickType

- java.lang.Object
- - org.jfree.chart.axis.TickType

All Implemented Interfaces:
  java.io.Serializable

    public final class TickType
    extends java.lang.Object
    implements java.io.Serializable

Used to indicate the tick type (MAJOR or MINOR).

Since:
  1.0.7
See Also:
  Serialized Form

### Field Summary

Fields
`static TickType` `MAJOR` Major tick.
`static TickType` `MINOR` Minor tick.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAJOR

    public static final TickType MAJOR

Major tick.

#### MINOR

    public static final TickType MINOR

Minor tick.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the other object.
Returns:
  A boolean.